Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.builder
Class SwiftHRFSpecOption

    java.lang.Object
      com.stc.swift.builder.SwiftHRFSpecOption

    public class SwiftHRFSpecOption

extends java.lang.Object

Constructor Summary
`SwiftHRFSpecOption()`

Method Summary
`java.lang.String[]` | `getDescriptions()`
`java.lang.String` | `getOptFldTag()`
`java.lang.String` | `getOptionLetter()`
`java.util.List` | `getSubPatterns()`
`java.lang.String` | `getSuffix()`
`void` | `setDescriptions(java.lang.String[] l)`
`void` | `setOptFldTag(java.lang.String s)`
`void` | `setOptionLetter(java.lang.String s)`
`void` | `setSubPatterns(java.util.List l)`
`void` | `setSuffix(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftHRFSpecOption

    public SwiftHRFSpecOption()

Method Detail

### setOptionLetter

    public void setOptionLetter(java.lang.String s)

### getOptionLetter

    public java.lang.String getOptionLetter()

### setSubPatterns

    public void setSubPatterns(java.util.List l)

### getSubPatterns

    public java.util.List getSubPatterns()

### setOptFldTag

    public void setOptFldTag(java.lang.String s)

### getOptFldTag

    public java.lang.String getOptFldTag()

### setDescriptions

    public void setDescriptions(java.lang.String[] l)

### getDescriptions

    public java.lang.String[] getDescriptions()

### setSuffix

    public void setSuffix(java.lang.String s)

### getSuffix

    public java.lang.String getSuffix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.